<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: traffic_light.traffic_light Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>traffic_light</b></li><li class="navelem"><a class="el" href="classtraffic__light_1_1traffic__light.html">traffic_light</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classtraffic__light_1_1traffic__light-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">traffic_light.traffic_light Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa45d38121a8c8bbb68ce12d489396a61"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtraffic__light_1_1traffic__light.html#aa45d38121a8c8bbb68ce12d489396a61">__init__</a> (self, <a class="el" href="classtraffic__light_1_1traffic__light.html#ad54c8dabbdc32d7d6a78bb6ffdcbada6">width</a>, <a class="el" href="classtraffic__light_1_1traffic__light.html#a32c8bc631a05413154d63bb7c58f53ba">height</a>, <a class="el" href="classtraffic__light_1_1traffic__light.html#a5f443b2fe69c010cca0e700e75285b98">traffic</a>)</td></tr>
<tr class="separator:aa45d38121a8c8bbb68ce12d489396a61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a095254c480b2b34bddf1ac239a75322d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtraffic__light_1_1traffic__light.html#a095254c480b2b34bddf1ac239a75322d">tick</a> (self)</td></tr>
<tr class="separator:a095254c480b2b34bddf1ac239a75322d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9701e27cd712f77caab2e4f1d06879ed"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtraffic__light_1_1traffic__light.html#a9701e27cd712f77caab2e4f1d06879ed">set_light</a> (self, new_light)</td></tr>
<tr class="separator:a9701e27cd712f77caab2e4f1d06879ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119b518fa08ac411763cc0a289523c81"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtraffic__light_1_1traffic__light.html#a119b518fa08ac411763cc0a289523c81">get_light</a> (self)</td></tr>
<tr class="separator:a119b518fa08ac411763cc0a289523c81"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad54c8dabbdc32d7d6a78bb6ffdcbada6"><td class="memItemLeft" align="right" valign="top"><a id="ad54c8dabbdc32d7d6a78bb6ffdcbada6" name="ad54c8dabbdc32d7d6a78bb6ffdcbada6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>width</b></td></tr>
<tr class="memdesc:ad54c8dabbdc32d7d6a78bb6ffdcbada6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Width of traffic light. <br /></td></tr>
<tr class="separator:ad54c8dabbdc32d7d6a78bb6ffdcbada6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c8bc631a05413154d63bb7c58f53ba"><td class="memItemLeft" align="right" valign="top"><a id="a32c8bc631a05413154d63bb7c58f53ba" name="a32c8bc631a05413154d63bb7c58f53ba"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>height</b></td></tr>
<tr class="memdesc:a32c8bc631a05413154d63bb7c58f53ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height of traffic light. <br /></td></tr>
<tr class="separator:a32c8bc631a05413154d63bb7c58f53ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f443b2fe69c010cca0e700e75285b98"><td class="memItemLeft" align="right" valign="top"><a id="a5f443b2fe69c010cca0e700e75285b98" name="a5f443b2fe69c010cca0e700e75285b98"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>traffic</b></td></tr>
<tr class="memdesc:a5f443b2fe69c010cca0e700e75285b98"><td class="mdescLeft">&#160;</td><td class="mdescRight">Traffic light class. <br /></td></tr>
<tr class="separator:a5f443b2fe69c010cca0e700e75285b98"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a7acd3c4e607995e5d9e0abda933cbe73"><td class="memItemLeft" align="right" valign="top"><a id="a7acd3c4e607995e5d9e0abda933cbe73" name="a7acd3c4e607995e5d9e0abda933cbe73"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>red_light</b> = pygame.image.load(os.path.join('..', 'texture', '<a class="el" href="classtraffic__light_1_1traffic__light.html">traffic_light</a>', 'red_light.png'))</td></tr>
<tr class="memdesc:a7acd3c4e607995e5d9e0abda933cbe73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Red light texture. <br /></td></tr>
<tr class="separator:a7acd3c4e607995e5d9e0abda933cbe73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f4644ca5fab22c9215240b12f781da6"><td class="memItemLeft" align="right" valign="top"><a id="a4f4644ca5fab22c9215240b12f781da6" name="a4f4644ca5fab22c9215240b12f781da6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>green_light</b> = pygame.image.load(os.path.join('..', 'texture', '<a class="el" href="classtraffic__light_1_1traffic__light.html">traffic_light</a>', 'green_light.png'))</td></tr>
<tr class="memdesc:a4f4644ca5fab22c9215240b12f781da6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Green light texture. <br /></td></tr>
<tr class="separator:a4f4644ca5fab22c9215240b12f781da6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Visual traffic_light class.
It containts traffic class from eng/TrafficLight.py
Class is responsible to display traffic light on screen.
</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa45d38121a8c8bbb68ce12d489396a61" name="aa45d38121a8c8bbb68ce12d489396a61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa45d38121a8c8bbb68ce12d489396a61">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def traffic_light.traffic_light.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>traffic</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Visual traffic_light constructor.
@param width Width of traffic light
@param height Height of traffic light
@param traffic Traffic light class (eng/TrafficLight.py)
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a119b518fa08ac411763cc0a289523c81" name="a119b518fa08ac411763cc0a289523c81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a119b518fa08ac411763cc0a289523c81">&#9670;&nbsp;</a></span>get_light()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def traffic_light.traffic_light.get_light </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Get current light as pygame object (ready to draw)
@return Light pygame object
</pre> 
</div>
</div>
<a id="a9701e27cd712f77caab2e4f1d06879ed" name="a9701e27cd712f77caab2e4f1d06879ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9701e27cd712f77caab2e4f1d06879ed">&#9670;&nbsp;</a></span>set_light()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def traffic_light.traffic_light.set_light </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>new_light</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Change color of light
 @param new_light New light must be "red" or "green"
</pre> 
</div>
</div>
<a id="a095254c480b2b34bddf1ac239a75322d" name="a095254c480b2b34bddf1ac239a75322d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a095254c480b2b34bddf1ac239a75322d">&#9670;&nbsp;</a></span>tick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def traffic_light.traffic_light.tick </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> One tick
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>vis/traffic_light.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
